Object.defineProperty(exports, "__esModule", { value: true });
const camelcase = require("camelcase");
const pluralize = require("pluralize");
const classify = (name) => camelcase(pluralize.singular(name), { pascalCase: true });
class SchemaTable {
    constructor(name) {
        this.columns = [];
        this.name = name;
        this.baseClassName = classify(this.name);
    }
    get tableClassName() { return `${this.baseClassName}Table`; }
    get recordClassName() { return `${this.baseClassName}Record`; }
    get recordColumnTypeName() { return `${this.baseClassName}Column`; }
    get tableExtClassName() { return `${this.tableClassName}Ext`; }
    get recordExtClassName() { return `${this.recordClassName}Ext`; }
}
exports.SchemaTable = SchemaTable;
//# sourceMappingURL=schema_table.js.map